<?php
/*
Plugin Name: WordPress Video Ad PopUp Plugin
Plugin URI: http://videoadpopup.com
Description: This plugin enables you to put banner ads over your videos (Youtube, Vimeo, self-hosted, and more) by using shortcode.
Version: 1.0.1
Author: videoadpopup.com
Author URI: http://videoadpopup.com
*/

function wpj_jquery_enqueue() {
   wp_deregister_script('jquery');
   wp_register_script('jquery', "http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js", false, null);
   wp_enqueue_script('jquery');
}
if (!is_admin()) add_action( 'wp_enqueue_scripts', 'wpj_jquery_enqueue', 11);


function wpj_video_plugin_header_insert() { ?>
	
	<link href='http://fonts.googleapis.com/css?family=Graduate' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" type="text/css" href="<?php echo plugins_url( 'css/wpjadstyle.css', __FILE__ ) ?>" />
	
<?php
	if(get_option('wpjvidwidth') && get_option('wpjvidwidth') != '') {
		$vidwidth = get_option('wpjvidwidth');
	}
	else {
		$vidwidth = '695px';
	}

	if(get_option('wpjvidheight') && get_option('wpjvidheight') != '') {
		$vidheight = get_option('wpjvidheight');
	}
	else {
		$vidheight = '450px';
	} ?>

<style type="text/css">
.wpjvidframe iframe {
width: <?php echo $vidwidth; ?>;
height: <?php echo $vidheight; ?>;
overflow: hidden;
}
</style>

	<script src="<?php echo plugins_url( 'js/wpjadheader.js', __FILE__ ) ?>"></script>

<?php }
add_action('wp_head', 'wpj_video_plugin_header_insert');


function wpj_video_plugin_create_menu() {
    add_options_page( __( 'WordPress Video Ad PopUp Plugin', 'wpj-video-plugin' ), __( 'WordPress Video Ad PopUp Plugin', 'wpj-video-plugin' ), 'administrator', __FILE__, 'wpj_video_plugin_settings_page' );
}
add_action( 'admin_menu', 'wpj_video_plugin_create_menu' );


function wpj_video_plugin_settings_page() {
?>

<div class="wrap">
<h2>WordPress Video Ad PopUp Plugin Options</h2>

<form method="post" action="options.php">
	<?php wp_nonce_field('update-options') ?>  

<h3>Overlay Video Ad</h3>
<h4>Your Ad Codes:</h4>

HTML tags are allowed. You can use it for Adsense ads, static image banner ad, or text ad. Recommended size for an ad is 336x280, 300x250, or 468x60.<br />
<?php
$contentad = get_option('wpjvidad');
$editor_id = 'wpjvidad';
$settings = array( 'media_buttons' => false );

wp_editor( $contentad, $editor_id, $settings );
?>

<h4>Default Video Size:</h4>
Default Width:<br />
<input type="text" name="wpjvidwidth" size="25" value="<?php echo get_option('wpjvidwidth'); ?>" /> (eg. 640px)<br /><br />

Default Height:<br />
<input type="text" name="wpjvidheight" size="25" value="<?php echo get_option('wpjvidheight'); ?>" /> (eg. 480px)<br />

            <p><input type="submit" name="Submit" value="Save Options" /></p>
            <input type="hidden" name="action" value="update" />  
            <input type="hidden" name="page_options" value="wpjvidad,wpjvidwidth,wpjvidheight" />
</form>
</div>

<?php }


function wpjad_shortcode( $atts, $content = null ) {

extract(shortcode_atts(array(
      'width' => get_option('wpjvidwidth'),
	  'height' => get_option('wpjvidheight'),
), $atts));

$returnstring = '<style type="text/css">.wpjvidframe iframe {width:'.$width.' !important; height:'.$height.' !important;} #wpjoverlayad {width:'.$width.' !important; height:'.$height.' !important;}</style>';

$returnstring .= '<div class="wpjvideowrap"><div class="wpjvidframe">'.$content.'</div>';
$returnstring .= '<div id="wpjoverlayad"><span>close ad to play video</span><a class="wpjclosead" onclick="setVisibility(\'wpjoverlayad\', \'none\');" >&times;</a>';
$returnstring .= '<div class="wpjtheadbox">';

if(get_option('wpjvidad') && get_option('wpjvidad') != '') {
			$returnstring .= '<div class="wpjboxinside">'.get_option('wpjvidad').'</div>';
		}

$returnstring .= '</div></div></div>';

return $returnstring;
}
add_shortcode( 'wpjadvideo', 'wpjad_shortcode' );